Package com.smartgwt.logicalstructure.widgets.drawing

# Class DrawLinePathLogicalStructure

java.lang.Object
com.smartgwt.logicalstructure.core.LogicalStructureObject
com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure
com.smartgwt.logicalstructure.widgets.drawing.DrawLinePathLogicalStructure

public class DrawLinePathLogicalStructure extends DrawItemLogicalStructure

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `connectorOrientation`
  `String`
  `connectorStyle`
  `Point`
  `controlPoint1`
  `Point`
  `controlPoint2`
  `String`
  `endArrow`
  `String`
  `endLeft`
  `Point`
  `endPoint`
  `String`
  `endTop`
  `String[]`
  `knobs`
  `String`
  `showTitleLabelBackground`
  `String`
  `startLeft`
  `Point`
  `startPoint`
  `String`
  `startTop`
  `String`
  `tailSize`
  `String`
  `titleRotationMode`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.drawing.DrawItemLogicalStructure

  `canDrag, canHover, contextMenu, cursor, destroyed, destroying, dragStartDistance, drawGroup, drawPaneAsDrawPane, drawPaneAsString, editProxyConstructor, eventOpaque, fillColor, fillGradientAsGradient, fillGradientAsString, fillOpacity, hoverDelay, keepInParentRectAsString, lineCap, lineColor, lineOpacity, linePattern, lineWidth, moveKnobOffset, moveKnobPoint, prompt, proportionalResizeModifiers, proportionalResizing, resizeKnobPoints, resizeViaLocalTransformOnly, rotation, scale, shadow, showHover, showResizeOutline, startArrow, title, titleAutoFit, titleAutoFitMargin, titleAutoFitRotationMode, titleLabelPadding, translate, useSimpleTransform, xShearFactor, yShearFactor, zIndex`

  ### Fields inherited from class com.smartgwt.logicalstructure.widgets.BaseWidgetLogicalStructure

  `autoDraw, ID`

  ### Fields inherited from class com.smartgwt.logicalstructure.core.LogicalStructureObject

  `logicalStructureErrors, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawLinePathLogicalStructure()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### connectorOrientation

    public String connectorOrientation

  - ### connectorStyle

    public String connectorStyle

  - ### controlPoint1

    public Point controlPoint1

  - ### controlPoint2

    public Point controlPoint2

  - ### endArrow

    public String endArrow

  - ### endLeft

    public String endLeft

  - ### endPoint

    public Point endPoint

  - ### endTop

    public String endTop

  - ### knobs

    public String[] knobs

  - ### showTitleLabelBackground

    public String showTitleLabelBackground

  - ### startLeft

    public String startLeft

  - ### startPoint

    public Point startPoint

  - ### startTop

    public String startTop

  - ### tailSize

    public String tailSize

  - ### titleRotationMode

    public String titleRotationMode

- ## Constructor Details

  - ### DrawLinePathLogicalStructure

    public DrawLinePathLogicalStructure()